<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::TestSuite Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1TestSuite.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">testing::TestSuite Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2d6469bcb83701e1bbfe47c465e9731f"><td class="memItemLeft" align="right" valign="top"><a id="a2d6469bcb83701e1bbfe47c465e9731f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>TestSuite</b> (const char *name, const char *a_type_param, internal::SetUpTestSuiteFunc set_up_tc, internal::TearDownTestSuiteFunc tear_down_tc)</td></tr>
<tr class="separator:a2d6469bcb83701e1bbfe47c465e9731f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3369db678ca3d9648d6fd63ad038986"><td class="memItemLeft" align="right" valign="top"><a id="ab3369db678ca3d9648d6fd63ad038986"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>name</b> () const</td></tr>
<tr class="separator:ab3369db678ca3d9648d6fd63ad038986"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2ea12318bdbfb6aa97792344b49e3db"><td class="memItemLeft" align="right" valign="top"><a id="ab2ea12318bdbfb6aa97792344b49e3db"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>type_param</b> () const</td></tr>
<tr class="separator:ab2ea12318bdbfb6aa97792344b49e3db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f62c17baef80042e0ff03ef5d5e4ba7"><td class="memItemLeft" align="right" valign="top"><a id="a8f62c17baef80042e0ff03ef5d5e4ba7"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>should_run</b> () const</td></tr>
<tr class="separator:a8f62c17baef80042e0ff03ef5d5e4ba7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85bc4191681df7e8bae810c1744465ec"><td class="memItemLeft" align="right" valign="top"><a id="a85bc4191681df7e8bae810c1744465ec"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>successful_test_count</b> () const</td></tr>
<tr class="separator:a85bc4191681df7e8bae810c1744465ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae48c72ff92fa1c555e3b577f8661285c"><td class="memItemLeft" align="right" valign="top"><a id="ae48c72ff92fa1c555e3b577f8661285c"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>skipped_test_count</b> () const</td></tr>
<tr class="separator:ae48c72ff92fa1c555e3b577f8661285c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf18223e67cf0761f56bd4b8167abc6c"><td class="memItemLeft" align="right" valign="top"><a id="aaf18223e67cf0761f56bd4b8167abc6c"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>failed_test_count</b> () const</td></tr>
<tr class="separator:aaf18223e67cf0761f56bd4b8167abc6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0b3d1ee8efaa18ceb2553a71002c678"><td class="memItemLeft" align="right" valign="top"><a id="ab0b3d1ee8efaa18ceb2553a71002c678"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>reportable_disabled_test_count</b> () const</td></tr>
<tr class="separator:ab0b3d1ee8efaa18ceb2553a71002c678"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adba738351633471e3256dcf7d3c2e61e"><td class="memItemLeft" align="right" valign="top"><a id="adba738351633471e3256dcf7d3c2e61e"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>disabled_test_count</b> () const</td></tr>
<tr class="separator:adba738351633471e3256dcf7d3c2e61e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24f62e17cfd37b90263f1194fb7d4d74"><td class="memItemLeft" align="right" valign="top"><a id="a24f62e17cfd37b90263f1194fb7d4d74"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>reportable_test_count</b> () const</td></tr>
<tr class="separator:a24f62e17cfd37b90263f1194fb7d4d74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ccf2681712a3a27659789009815db8f"><td class="memItemLeft" align="right" valign="top"><a id="a1ccf2681712a3a27659789009815db8f"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>test_to_run_count</b> () const</td></tr>
<tr class="separator:a1ccf2681712a3a27659789009815db8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38a5e95341cfee5a88d8910f69da4960"><td class="memItemLeft" align="right" valign="top"><a id="a38a5e95341cfee5a88d8910f69da4960"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>total_test_count</b> () const</td></tr>
<tr class="separator:a38a5e95341cfee5a88d8910f69da4960"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add51ece89b069b29e07f0476e0e6aae9"><td class="memItemLeft" align="right" valign="top"><a id="add51ece89b069b29e07f0476e0e6aae9"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>Passed</b> () const</td></tr>
<tr class="separator:add51ece89b069b29e07f0476e0e6aae9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adec55446c23dc2d0bfea91c6125a1047"><td class="memItemLeft" align="right" valign="top"><a id="adec55446c23dc2d0bfea91c6125a1047"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>Failed</b> () const</td></tr>
<tr class="separator:adec55446c23dc2d0bfea91c6125a1047"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ede69fa37985ab8b21128955c56d6d7"><td class="memItemLeft" align="right" valign="top"><a id="a2ede69fa37985ab8b21128955c56d6d7"></a>
TimeInMillis&#160;</td><td class="memItemRight" valign="bottom"><b>elapsed_time</b> () const</td></tr>
<tr class="separator:a2ede69fa37985ab8b21128955c56d6d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0cbbbe96addf56964380b2bbc013e41"><td class="memItemLeft" align="right" valign="top"><a id="ac0cbbbe96addf56964380b2bbc013e41"></a>
TimeInMillis&#160;</td><td class="memItemRight" valign="bottom"><b>start_timestamp</b> () const</td></tr>
<tr class="separator:ac0cbbbe96addf56964380b2bbc013e41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a604220b75b3c6252287ba62d1d1754a9"><td class="memItemLeft" align="right" valign="top"><a id="a604220b75b3c6252287ba62d1d1754a9"></a>
const <a class="el" href="classtesting_1_1TestInfo.html">TestInfo</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetTestInfo</b> (int i) const</td></tr>
<tr class="separator:a604220b75b3c6252287ba62d1d1754a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3391a0ec111c66e1ac16a800f5068af7"><td class="memItemLeft" align="right" valign="top"><a id="a3391a0ec111c66e1ac16a800f5068af7"></a>
const <a class="el" href="classtesting_1_1TestResult.html">TestResult</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>ad_hoc_test_result</b> () const</td></tr>
<tr class="separator:a3391a0ec111c66e1ac16a800f5068af7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a5b78b1c2e1fa07ffed92da365593eaa4"><td class="memItemLeft" align="right" valign="top"><a id="a5b78b1c2e1fa07ffed92da365593eaa4"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>Test</b></td></tr>
<tr class="separator:a5b78b1c2e1fa07ffed92da365593eaa4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc0a5e7573fd6ae7ad1878613bb86853"><td class="memItemLeft" align="right" valign="top"><a id="acc0a5e7573fd6ae7ad1878613bb86853"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>internal::UnitTestImpl</b></td></tr>
<tr class="separator:acc0a5e7573fd6ae7ad1878613bb86853"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="gtest_8h_source.html">gtest.h</a></li>
<li>gtest.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><a class="el" href="classtesting_1_1TestSuite.html">TestSuite</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
